#
# date-freq-count.awk, 12 Jan 24

function date_freq_count(mult)
{
gsub(",", "", $0)
gsub(")", "", $0)

count=$NF

Hz=NF-2

for (i=1; i <NF-2; i++)
   if (index($i, "Hz") > 0)
      {
      Hz=i
      break
      }

freq=$Hz
sub("GHz", "", freq)
sub("MHz", "", freq)
if (freq == "") # handle space between number and Hz
   freq=$(Hz-1)
print date "," freq*mult "," count
}

BEGIN {
	date=substr(DATE, 1, 8)
	}


$0 ~ /GHz/ {
	date_freq_count(1000)
	next
	}

$0 ~ /MHz/ {
	date_freq_count(1)
	next
	}

	{
	}

